complexType "EquityValuation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 9 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (valuationDate? | valuationDates?)?, valuationTimeType?, valuationTime?, futuresPriceValuation?, optionsPriceValuation?, numberOfValuationDates?, dividendValuationDates?, fPVFinalPriceElectionFallback?
</...>

Content Model Elements (9):

  dividendValuationDates, fPVFinalPriceElectionFallback, futuresPriceValuation, numberOfValuationDates, optionsPriceValuation, | valuationDate (defined in EquityValuation complexType), valuationDates, valuationTime (defined in EquityValuation complexType), valuationTimeType

All Direct / Indirect Based Elements (3):

  equityValuation,
  valuation (defined in DirectionalLegUnderlyerValuation complexType),
  valuationRules

Known Usage Locations

- As direct type of elements (3):
  equityValuation,
  valuation (defined in DirectionalLegUnderlyerValuation complexType),
  valuationRules

Annotation
A type for defining how and when an equity option is to be valued.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="EquityValuation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="valuationDate" type="AdjustableDateOrRelativeDateSequence"/> <xsd:element minOccurs="0" name="valuationDates" type="AdjustableRelativeOrPeriodicDates"/> </xsd:choice> <xsd:element minOccurs="0" name="valuationTimeType" type="TimeTypeEnum"/> <xsd:element minOccurs="0" name="valuationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="futuresPriceValuation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="optionsPriceValuation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="numberOfValuationDates" type="xsd:nonNegativeInteger"/> <xsd:element minOccurs="0" name="dividendValuationDates" type="AdjustableRelativeOrPeriodicDates"/> <xsd:element minOccurs="0" name="fPVFinalPriceElectionFallback" type="FPVFinalPriceElectionFallbackEnum"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 9/9)
dividendValuationDates

  Type: | AdjustableRelativeOrPeriodicDates, complex content

  Specifies the dividend valuation dates of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendValuationDates" type="AdjustableRelativeOrPeriodicDates"/>

fPVFinalPriceElectionFallback

  Type: | FPVFinalPriceElectionFallbackEnum, simple content

  Specifies the fallback provisions for Hedging Party in the determination of the Final Price.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FPVClose" | - | In respect of the Early Final Valuation Date, the provisions for FPV Close shall apply. See: http://www.FpML.org
  "FPVHedgeExecution" | - | In respect of the Early Final Valuation Date, the provisions for FPV Hedge Execution shall apply. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fPVFinalPriceElectionFallback" type="FPVFinalPriceElectionFallbackEnum"/>

futuresPriceValuation

  Type: | xsd:boolean, predefined, simple content

  The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="futuresPriceValuation" type="xsd:boolean"/>

numberOfValuationDates

  Type: | xsd:nonNegativeInteger, predefined, simple content

  The number of valuation dates between valuation start date and valuation end date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfValuationDates" type="xsd:nonNegativeInteger"/>

optionsPriceValuation

  Type: | xsd:boolean, predefined, simple content

  The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionsPriceValuation" type="xsd:boolean"/>

valuationDate

  Type: | AdjustableDateOrRelativeDateSequence, complex content

  The term "Valuation Date" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="AdjustableDateOrRelativeDateSequence"/>

valuationDates

  Type: | AdjustableRelativeOrPeriodicDates, complex content

  Specifies the interim equity valuation dates of a swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDates" type="AdjustableRelativeOrPeriodicDates"/>

valuationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day at which the calculation agent values the underlying.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationTime" type="BusinessCenterTime"/>

valuationTimeType

  Type: | TimeTypeEnum, simple content

  The time of day at which the calculation agent values the underlying, for example the official closing time of the exchange.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Close" | - | The official closing time of the exchange on the valuation date. See: http://www.FpML.org
  "Open" | - | The official opening time of the exchange on the valuation date. See: http://www.FpML.org
  "OSP" | - | The time at which the official settlement price is determined. See: http://www.FpML.org
  "SpecificTime" | - | The time specified in the element equityExpirationTime or valuationTime (as appropriate) See: http://www.FpML.org
  "XETRA" | - | The time at which the official settlement price (following the auction by the exchange) is determined by the exchange. See: http://www.FpML.org
  "DerivativesClose" | - | The official closing time of the derivatives exchange on which a derivative contract is listed on that security underlyer. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The time is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationTimeType" type="TimeTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.